Page MenuHomePhabricator

[EPIC] Encourage more editing in the Android app via an "App Editor Tasks" list (aka Edit Action Feed)
Closed, ResolvedPublic

Description

Overview

Encourage Android app users to start editing by presenting them with more opportunities to make ‘micro-contributions’ to the app.

Goal

Introduce a series of small tasks which encourage more contributions from Android app users.

Rationale (Why are we doing this)

  • Extend usage of existing micro-contribution tool. The (Wikidata) title description editing feature on Android has proven successful in encouraging micro-contributions. [1] This is a suggested next step as outlined in Phabricator task T164606.
  • Extend app knowledge of multilingual users. This is a suggested next step after the initial improvements to the Android app's multilingual experience (see T160567).
  • Increase Android app editor retention. Based on previous launch of editing Wikidata descriptions, and through previous community consultations [2], it is our hypothesis that providing more micro-contributions to the Android app will lead to an increase in in-app editor activity and retention. [2]

User stories

As a proven app editor of good standing, I want to...
1/ ...be shown more articles requiring descriptions in the app, so that I can grow my contributions to Wikipedia.
2/ ...be shown more small app-friendly editing tasks like adding image captions, so that I can grow my contributions on Wikipedia.

As a proven Multilingual app editor of good standing, I want to...
3/ ...be shown articles with a title description that can be translated into other languages I speak, so that I can grow my contributions to Wikipedia.
4/ ..be shown more images requiring translations, so that I can grow my contributions to Wikipedia.

As an App Editor Task tool (aka Edit Action feed) user of good standing , I want to...
5/ ...rate the quality of other editors' work, so that I can become more familiar with Wikipedia editing.

Design brief with wireframes of proposed designs

https://docs.google.com/presentation/d/1b7-FeIdFnDrKG1ko8SbOi_EVhYzx-LON3RdyCDlrBbA

Mocks

Task list unlock messageNotification and menu item alertsPull down on notificationNew menu itemOn boarding to task listTask menuOn boarding for description editing in task listAdding title descriptions feedSkipping an itemTitle description editing UIReview of editFeed overflow menuContribution score card
Related task: T207333Related task: T207333Related task: T207333Related task: T164606Related task: T164606Related task: T164606Related task: T164606Related task: T164606Related task: T164606Related task: T207339

User flows

Interactive flow chart | Download flow chart

Core tasks

The following may be broken up into further sub-tasks.

  • Co-ordination tasks with other teams:
    • Reading Infrastructure
      • API required to fetch articles missing Wikidata descriptions in a particular language (Relates to user story 1)
      • API required to fetch articles missing Wikidata descriptions in language A, but have a Wikidata description in language B (which can be used for translation purposes) (Relates to user story 3)
      • API required to fetch images missing captions in a particular language (Relates to user story 2)
      • API required to fetch images missing captions in language A, but have a caption in language B (which can be used for translation purposes). (Relates to user story 4)
    • Wikidata
      • Co-ordinate with Wikidata on communication/consultation when expanding Android in-app editing of descriptions
    • Commons
      • Co-ordinate with Wikidata on communication/consultation for adding Android in-app editing of image captions
  • Wikilabels
    • Consult with ORES team on the feasibility/desirability of creating an Android in-app version of the Edit Quality Wikilabels campaign
  • Measurement and Testing:
    • Plan usability research to test initial proposed concepts
    • Run a second user study with Alpha prototypes
    • Implement Analytics/Event logging instrumentation to measure usage of new editing tasks:
      • Measure the length of sessions and edits made within the different app editing tasks
      • Monitor for any change in editing activity by Android app users (2nd month retention)
      • Monitor for any change in editing activity by Android app editors editing outside of the app
    • Quality tracking of edits - implement instrumentation to monitor the rate of reverts from edits made within the App Editor task (setting warnings when it is above some threshold).
  • Documentation & Marketing

Links

[0] Design brief (extended version of task description): https://docs.google.com/presentation/d/1b7-FeIdFnDrKG1ko8SbOi_EVhYzx-LON3RdyCDlrBbA
[1] Stats on Wikidata in-app usage
[2] https://www.mediawiki.org/wiki/Reading/Readers_contributions_via_Android/Outcome

Event Timeline

RHo created this task.Sep 21 2018, 5:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2018, 5:57 PM
RHo renamed this task from [EPIC] Encourage more editing in the Android app via an App Editing Task list (aka Edit Action Feed) to [EPIC] Encourage more editing in the Android app via an "App Editor Tasks" list (aka Edit Action Feed) .Sep 21 2018, 5:59 PM
RHo updated the task description. (Show Details)Sep 21 2018, 6:10 PM
cmadeo updated the task description. (Show Details)Oct 17 2018, 9:52 PM
cmadeo updated the task description. (Show Details)Oct 17 2018, 9:54 PM
cmadeo updated the task description. (Show Details)Oct 17 2018, 9:59 PM
cmadeo updated the task description. (Show Details)Oct 17 2018, 10:07 PM
cmadeo updated the task description. (Show Details)Nov 14 2018, 9:12 PM
cmadeo updated the task description. (Show Details)Nov 15 2018, 4:37 PM
cmadeo updated the task description. (Show Details)Nov 15 2018, 4:40 PM
LGoto added a subscriber: LGoto.Jan 2 2019, 5:21 PM

Updated the user flows section the task’s description, this probably affects the following tasks as well:

Moving this edit action feed mothership back to the “Needs Design/Design doing“ column since there will be modifications to the flow/screens based on feedback from usability testing.

Alright, @RHo just informed me that an EPIC stays open in the first column until all subtasks are done. Sounds reasonable to me, moving it to “Backlog“.

Cirdan added a subscriber: Cirdan.Feb 26 2019, 8:19 PM
Charlotte closed this task as Resolved.Apr 8 2019, 3:03 PM